<?php
include("seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página


include("configuracao.php");//confirma no banco de dados
include("inclusos/funcoes.php");
require_once("inclusos/verifica_inject.php");

// Nome do Arquivo do Excel que será gerado
$arquivo = 'base_produtos.xls';


// Criamos uma tabela HTML com o formato da planilha para excel
$tabela = '<table border="1">';
$tabela .= '<tr>';
$tabela .= '<td colspan="2">Tabela de Produtos</tr>';
$tabela .= '</tr>';
$tabela .= '<tr>';
$tabela .= '<td><b>idproduto</b></td>';
$tabela .= '<td><b>titulo</b></td>';
$tabela .= '<td><b>descricao</b></td>';
$tabela .= '<td><b>status</b></td>';
$tabela .= '<td><b>valor_atacado</b></td>';
$tabela .= '<td><b>valor_varejo</b></td>';
$tabela .= '<td><b>cod_produto</b></td>';
$tabela .= '<td><b>tamanho</b></td>';
$tabela .= '<td><b>video</b></td>';
$tabela .= '<td><b>peso</b></td>';
$tabela .= '<td><b>categoria</b></td>';
$tabela .= '<td><b>subcategoria</b></td>';
$tabela .= '<td><b>marca</b></td>';
$tabela .= '</tr>';

// Puxando dados do Banco de dados
$resultado = mysql_query('SELECT * FROM produtos');

while($dados = mysql_fetch_array($resultado))
{
$tabela .= '<tr>';
$tabela .= '<td>'.$dados['idproduto'].'</td>';
$tabela .= '<td>'.$dados['titulo'].'</td>';
$tabela .= '<td>'.$dados['descricao'].'</td>';
$tabela .= '<td>'.$dados['status'].'</td>';
$tabela .= '<td>'.$dados['valor_atacado'].'</td>';
$tabela .= '<td>'.$dados['valor_varejo'].'</td>';
$tabela .= '<td>'.$dados['cod_produto'].'</td>';
$tabela .= '<td>'.$dados['tamanho'].'</td>';
$tabela .= '<td>'.$dados['video'].'</td>';
$tabela .= '<td>'.$dados['peso'].'</td>';
$tabela .= '<td>';

$seleciona_categorias_produtos = Seleciona("produtos_categorias", "WHERE idproduto='".$dados['idproduto']."'", "");
while($categoria_produto = mysql_fetch_array($seleciona_categorias_produtos)){

$idcategoria 	= $categoria_produto['idcategoria'];

$seleciona_categorias = Seleciona("categorias", "WHERE idcategoria='$idcategoria'", "");
while($categoria = mysql_fetch_array($seleciona_categorias)){
$tabela .= $categoria['titulo'] . ", ";
}		  
}
$tabela .= '</td>';
$tabela .= '<td>';

$seleciona_subcategorias_produtos = Seleciona("produtos_subcategorias", "WHERE idproduto='".$dados['idproduto']."'", "");
while($subcategoria_produto = mysql_fetch_array($seleciona_subcategorias_produtos)){                        

$idsubcategoria	= $subcategoria_produto['idsubcategoria'];	

$seleciona_sub_categorias = Seleciona("subcategorias", "WHERE idsubcategoria='$idsubcategoria'", "");
while($subcategoria = mysql_fetch_array($seleciona_sub_categorias)){
$tabela .= $subcategoria['titulo'] . ", ";
}			  
}
$tabela .= '</td>';
$SelecionaMarca = Seleciona("marcas", "WHERE idmarca='".$dados['idmarca']."'", "") or die(mysql_error());
while($marca = mysql_fetch_array($SelecionaMarca)){
$tabela .= '<td>'.$marca['titulo'].'</td>';
}		  
$tabela .= '</tr>';
}

$tabela .= '</table>';

// Força o Download do Arquivo Gerado
header ('Cache-Control: no-cache, must-revalidate');
header ('Pragma: no-cache');
header('Content-Type: application/x-msexcel');
header ("Content-Disposition: attachment; filename=\"{$arquivo}\"");
echo $tabela;
	
?>